Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
OpenMesh::StripifierT< Mesh > Class Template Reference

`#include <OpenMesh/Tools/Utils/StripifierT.hh>`

## Public Types
typedef unsigned int | Index
typedef std::vector< Index > | Strip
typedef Strip::const_iterator | IndexIterator
typedef std::vector< Strip > | Strips
typedef Strips::const_iterator | StripsIterator

## Public Member Functions
| StripifierT (Mesh &_mesh)
| Default constructor.
| ~StripifierT ()
| Destructor.
size_t | stripify ()
| Compute triangle strips, returns number of strips.
void | clear ()
| delete all strips
size_t | n_strips () const
| returns number of strips
bool | is_valid () const
| are strips computed?
StripsIterator | begin () const
| Access strips.
StripsIterator | end () const
| Access strips.

## Private Types
typedef std::vector< typename Mesh::FaceHandle > | FaceHandles

## Private Member Functions
void | build_strips ()
| this method does the main work
void | build_strip (typename Mesh::HalfedgeHandle _start_hh, Strip &_strip, FaceHandles &_faces)
| build a strip from a given halfedge (in both directions)
FPropHandleT< bool >::reference | processed (typename Mesh::FaceHandle _fh)
FPropHandleT< bool >::reference | used (typename Mesh::FaceHandle _fh)

## Private Attributes
Mesh & | mesh_
Strips | strips_
FPropHandleT< bool > | processed_
FPropHandleT< bool > | used_

## Detailed Description

### template<class Mesh>
class OpenMesh::StripifierT< Mesh >

This class decomposes a triangle mesh into several triangle strips.

Definition at line 84 of file StripifierT.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Tools/Utils/StripifierT.hh
- libs_required/OpenMesh/src/OpenMesh/Tools/Utils/StripifierT.cc